Bug 20529 - Update request: kernel-linus-4.4.55-1.mga5
Summary: Update request: kernel-linus-4.4.55-1.mga5
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: Security (show other bugs)
Version: 5
Hardware: All Linux
Priority: High critical
Target Milestone: ---
Assignee: QA Team
QA Contact: Sec team
URL:
Whiteboard: advisory MGA5-64-OK MGA5-32-OK
Keywords: validated_update
Depends on:
Blocks: 20553
  Show dependency treegraph
 
Reported: 2017-03-19 18:26 CET by Thomas Backlund
Modified: 2017-03-25 21:16 CET (History)
3 users (show)

See Also:
Source RPM:
CVE:
Status comment:


Attachments

Description Thomas Backlund 2017-03-19 18:26:54 CET
Security and data corruption fixes, advisory will follow...


SRPMS:
kernel-linus-4.4.55-1.mga5.src.rpm


i586:
kernel-linus-4.4.55-1.mga5-1-1.mga5.i586.rpm
kernel-linus-devel-4.4.55-1.mga5-1-1.mga5.i586.rpm
kernel-linus-devel-latest-4.4.55-1.mga5.i586.rpm
kernel-linus-doc-4.4.55-1.mga5.noarch.rpm
kernel-linus-latest-4.4.55-1.mga5.i586.rpm
kernel-linus-source-4.4.55-1.mga5-1-1.mga5.noarch.rpm
kernel-linus-source-latest-4.4.55-1.mga5.noarch.rpm


x86_64:
kernel-linus-4.4.55-1.mga5-1-1.mga5.x86_64.rpm
kernel-linus-devel-4.4.55-1.mga5-1-1.mga5.x86_64.rpm
kernel-linus-devel-latest-4.4.55-1.mga5.x86_64.rpm
kernel-linus-doc-4.4.55-1.mga5.noarch.rpm
kernel-linus-latest-4.4.55-1.mga5.x86_64.rpm
kernel-linus-source-4.4.55-1.mga5-1-1.mga5.noarch.rpm
kernel-linus-source-latest-4.4.55-1.mga5.noarch.rpm
Comment 1 Thomas Backlund 2017-03-22 18:50:26 CET

Raising priority as atleast one CVE is classed as a local privilegie escalation
Comment 2 Len Lawrence 2017-03-22 22:48:44 CET
x86_64 : Intel(R) Core(TM) i7-4790K CPU @ 4.00GHz : nVidia GeForce GTX 770

Installed:
kernel-linus-4.4.55-1.mga5-1-1.mga5
kernel-linus-devel-4.4.55-1.mga5-1-1.mga5
kernel-linus-devel-latest-4.4.55-1.mga5
kernel-linus-doc-4.4.55-1.mga5.noarch
kernel-linus-latest-4.4.55-1.mga5
kernel-linus-source-4.4.55-1.mga5-1-1.mga5.noarch
kernel-linus-source-latest-4.4.55-1.mga5.noarch

A clean install apart from:

1/2: kernel-linus-4.4.55-1.mga5
                                 #############################################
cannot get info for device (6:0:0:1) at /usr/lib/libDrakX/detect_devices.pm line 272.

Rebooted without problems, rebuilding kernel modules and installing them.
$ uname -r
4.4.55-1.mga5

No apparent regressions.
Comment 3 Thomas Backlund 2017-03-24 20:39:45 CET
Advisory (already added to svn)

subject: Updated kernel-linus packages fixes security vulnerabilities
CVE:
 - CVE-2017-2636
 - CVE-2017-6346
 - CVE-2017-6347
 - CVE-2017-6348
src:
  5:
   core:
     - kernel-linus-4.4.55-1.mga5
description: |
  This kernel-linus update is based on upstream 4.4.55 and fixes atleast
  the following security issues:

  Race condition in drivers/tty/n_hdlc.c in the Linux kernel through 4.10.1
  allows local users to gain privileges or cause a denial of service (double
  free) by setting the HDLC line discipline (CVE-2017-2636).

  Race condition in net/packet/af_packet.c in the Linux kernel before 4.9.13
  allows local users to cause a denial of service (use-after-free) or possibly
  have unspecified other impact via a multithreaded application that makes
  PACKET_FANOUT setsockopt system calls (CVE-2017-6346).

  The ip_cmsg_recv_checksum function in net/ipv4/ip_sockglue.c in the Linux
  kernel before 4.10.1 has incorrect expectations about skb data layout,
  which allows local users to cause a denial of service (buffer over-read)
  or possibly have unspecified other impact via crafted system calls, as
  demonstrated by use of the MSG_MORE flag in conjunction with loopback UDP
  transmission (CVE-2017-6347).

  The hashbin_delete function in net/irda/irqueue.c in the Linux kernel before
  4.9.13 improperly manages lock dropping, which allows local users to cause a
  denial of service (deadlock) via crafted operations on IrDA devices
  (CVE-2017-6348).

  For other upstream fixes in this update, see the referenced changelogs.
references:
 - https://bugs.mageia.org/show_bug.cgi?id=20529
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.4.51
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.4.52
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.4.53
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.4.54
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.4.55
Comment 4 Dave Hodgins 2017-03-25 20:55:46 CET
Testing complete on both i586 and x86_64, both on real hardware and under vb.

Validating the update.
Comment 5 Mageia Robot 2017-03-25 21:16:16 CET
An update for this issue has been pushed to the Mageia Updates repository.

http://advisories.mageia.org/MGASA-2017-0090.html

Note You need to log in before you can comment on or make changes to this bug.